[问题]一直以来没有解决的两个问题。(已经解决bmp下wma乱马问题!)

为当前最终发行版之前的所有版本提供支持
回复
头像
yechf
帖子: 305
注册时间: 2006-04-27 12:18
来自: 浙江德清武康
送出感谢: 3 次
接收感谢: 0

[问题]一直以来没有解决的两个问题。(已经解决bmp下wma乱马问题!)

#1

帖子 yechf » 2006-09-26 22:05

1.wma文件名的编码是什么?我的bmp里就这种格式搞不定,是乱码。其他格式都可以通过mpeg音频的首选项解决。
2.如何重新配置X?有些应用程序经常有这种问题,但又不影响使用。

yechf@ubuntu:~$ beep-media-player
X Error: BadDevice, invalid or uninitialized input device 169
Major opcode: 147
Minor opcode: 3
Resource id: 0x0
Failed to open device
上次由 yechf 在 2006-10-01 11:21,总共编辑 1 次。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2006-09-26 22:18

wma不属于mpeg的。说不定现在的win都使用utf8了。
dpkg-reconfigure, 有什么种参数。
● 鸣学
头像
yechf
帖子: 305
注册时间: 2006-04-27 12:18
来自: 浙江德清武康
送出感谢: 3 次
接收感谢: 0

#3

帖子 yechf » 2006-09-27 21:01

eexpress,谢谢你!不过:
第一点,你的回答没有解决我的问题。(不知道你是如何搞定的?)
第二点,我用sudo dpkg-reconfigure xserver-xong命令,一路按默认的回车下去,没有解决问题。不知道是否需要重新安装系统?
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 karron » 2006-09-27 21:39

不知道你是否是在kde下面,我的kde里面也是这样,后来我手动编辑/etc/X11/xorg.conf,把有些设备例如/dev/wacom/相关的东西都注释掉了,现在就没有这些问题了.

注意,每个设备都分布了上下两个地方,注意都要注释掉.注释之后重启一下X.注意备份.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
yechf
帖子: 305
注册时间: 2006-04-27 12:18
来自: 浙江德清武康
送出感谢: 3 次
接收感谢: 0

#5

帖子 yechf » 2006-09-28 7:15

karron,谢谢,x问题解决了,不过有新问题了:

yechf@ubuntu:~$ kedit
ScimInputContextPlugin()
WARNING: please edit ~/.scim/global and change /DefaultConfigModule to kconfig
~ScimInputContextPlugin()
yechf@ubuntu:~$ sudo kedit
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
kdeinit: Can't connect to the X Server.
kdeinit: Might not terminate at end of session.
ScimInputContextPlugin()
WARNING: please edit ~/.scim/global and change /DefaultConfigModule to kconfig
Loading simple Config module ...
Creating backend ...
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
GTK Panel of SCIM 1.4.4

Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key

(scim-panel-gtk:5669): Gtk-WARNING **: cannot open display: :0.0
GTK Panel of SCIM 1.4.4
yechf@ubuntu:~$

用sudo kedit就打不开,只有按ctrl+c了。
怎么回事呢?gtk还是xlib不对?
回复

回到 “老旧版本支持”